## org.codehaus.groovy.grails.web.mapping
Class DefaultUrlMappingData

    java.lang.Object
      org.codehaus.groovy.grails.web.mapping.DefaultUrlMappingData

All Implemented Interfaces:
  UrlMappingData

    public class DefaultUrlMappingData

extends Object
implements UrlMappingData

Default implementating of the UrlMappingData interface.

Since:
  0.4

  Created: Mar 5, 2007 Time: 7:51:47 AM
Author:
  Graeme Rocher

Constructor Summary
`DefaultUrlMappingData(String urlPattern)`

Method Summary
`String[]` `getLogicalUrls()` Obtains the logical URLs for this URL
`String[]` `getTokens()` Retrieves the tokens that make up a URL.
`String` `getUrlPattern()` Retrieves the URL pattern for this UrlMappingData instance
`boolean` `isOptional(int index)` Returns whether the given token in the URL is optional.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultUrlMappingData

    public DefaultUrlMappingData(String urlPattern)

Method Detail

### getTokens

    public String[] getTokens()

  Description copied from interface: `UrlMappingData`

  Retrieves the tokens that make up a URL. For example the tokens for the URL /blog/2007/* would be "blog", "2007" and "*"

  Specified by:
    `getTokens` in interface `UrlMappingData`
  Returns:
    The tokens as a string array

### getLogicalUrls

    public String[] getLogicalUrls()

  Description copied from interface: `UrlMappingData`

  Obtains the logical URLs for this URL

  Specified by:
    `getLogicalUrls` in interface `UrlMappingData`
  Returns:
    The logical URLs as a string array

### getUrlPattern

    public String getUrlPattern()

  Description copied from interface: `UrlMappingData`
  Retrieves the URL pattern for this UrlMappingData instance

  Specified by:
    `getUrlPattern` in interface `UrlMappingData`
  Returns:
    The URL pattern

### isOptional

    public boolean isOptional(int index)

  Description copied from interface: `UrlMappingData`
  Returns whether the given token in the URL is optional. The index takes into account matching groups so for example the URL /blog/(*)/(*) has two entries for the two (*) matching groups with the index 0 relating to the the first entry

  Specified by:
    `isOptional` in interface `UrlMappingData`
  Parameters:
    `index` - The index of the matching token
  Returns:
    True if it is optional

Copyright (c) 2005-2009 The Grails project